# class ActiveRecord::RecordNotFound

Raised when Active Record cannot find a record by given id or set of ids.

### Attributes

id[R]
model[R]
primary_key[R]

### Public Class Methods

new(message = nil, model = nil, primary_key = nil, id = nil) click to toggle source
Calls superclass method

    # File lib/active_record/errors.rb, line 54
    def initialize(message = nil, model = nil, primary_key = nil, id = nil)
      @primary_key = primary_key
      @model = model
      @id = id

      super(message)
    end